aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-09-05 15:19:19 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-09-05 15:19:19 +0000
commit5260ab390d2280773ae816ca95a224c21a71c16c (patch)
tree2dd883f03f0adfcf1ee52a2f43bac085749b55d4
parentbfd39185f25d45df0e07e241b52c378435a9491c (diff)
downloadpaludis-5260ab390d2280773ae816ca95a224c21a71c16c.tar.gz
paludis-5260ab390d2280773ae816ca95a224c21a71c16c.tar.xz
Ignore comments and blank lines in parent files
-rwxr-xr-xebuild/ebuild.bash4
1 files changed, 3 insertions, 1 deletions
diff --git a/ebuild/ebuild.bash b/ebuild/ebuild.bash
index 65288cb..19a1734 100755
--- a/ebuild/ebuild.bash
+++ b/ebuild/ebuild.bash
@@ -95,7 +95,9 @@ export PALUDIS_HOME="$(canonicalise ${PALUDIS_HOME:-${HOME}} )"
ebuild_source_profile()
{
if [[ -f ${1}/parent ]] ; then
- while read line; do
+ while read line ; do
+ grep --silent '^[[:space:]]*#' <<<"${line}" && continue
+ grep --silent '[^[:space:]]' <<<"${line}" || continue
ebuild_source_profile $(canonicalise ${1}/${line} )
done <${1}/parent
fi